apiVersion: apps/v1
kind: Deployment
metadata:
  name: webuiservice
spec:
  selector:
    matchLabels:
      app: webuiservice
  template:
    metadata:
      labels:
        app: webuiservice
    spec:
      terminationGracePeriodSeconds: 5
      containers:
      - name: server
        image: registry.gitlab.com/teraflow-h2020/controller/webui:latest
        imagePullPolicy: Always
        ports:
        - containerPort: 8001 # TODO: define the real port
        env:
        - name: DB_ENGINE
          value: "redis"
        - name: REDIS_DATABASE_ID
          value: "0"
        - name: LOG_LEVEL
          value: "DEBUG"
        readinessProbe:
          exec:
            command: ["/bin/grpc_health_probe", "-addr=:10000"]
        livenessProbe:
          exec:
            command: ["/bin/grpc_health_probe", "-addr=:10000"]
        resources:
          requests:
            cpu: 250m
            memory: 512Mi
          limits:
            cpu: 700m
            memory: 1024Mi
---
apiVersion: v1
kind: Service
metadata:
  name: webuiservice
spec:
  type: ClusterIP
  selector:
    app: webuiservice
  ports:
  - name: grpc
    port: 10000
    targetPort: 10000
---
apiVersion: v1
kind: Service
metadata:
  name: webuiservice-public
  labels:
    app: webuiservice
spec:
  type: NodePort
  selector:
    app: webuiservice
  ports:
  - name: grpc
    protocol: TCP
    port: 10000
    targetPort: 10000
---
